from fastapi import APIRouter

from app.api.dependencies import CurrentOwnerUser, SessionDep
from app.crud.shop_crud import create_shop
from app.schemas.shop_schemas import ShopCreate
from app.schemas.user_schemas import Token

router = APIRouter(prefix="/shop", tags=["Dashboard"])


@router.post("", status_code=201)
def register_new_shop(
    session: SessionDep,
    current_user: CurrentOwnerUser,
    shop_data: ShopCreate
) -> bool:
    create_shop(session, shop_data, current_user)
    return True
